/*
  CatWeasel MK3 PCI Linux driver (c) 2002-2004 by Dirk Jagdmann <doj@cubic.org>

  This file is part of CatWeasel MK3 PCI Linux driver.

  The CatWeasel MK3 PCI Linux driver is free software; you can
  redistribute it and/or modify it under the terms of the GNU General
  Public License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  The CatWeasel MK3 PCI Linux driver is distributed in the hope that
  it will be useful, but WITHOUT ANY WARRANTY; without even the
  implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
  PURPOSE.  See the GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with the CatWeasel MK3 PCI Linux driver; if not, write to the
  Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
  MA 02111-1307 USA

  $Header: /code/cw/device/cw.h,v 1.7.2.1 2004/11/05 14:46:40 doj Exp $
*/

/*
  General header file used to include some standard linux stuff
*/

#ifndef CW__H
#define CW__H

#include <linux/config.h>

#if !defined(CONFIG_PCI)
#error Linux Kernel needs PCI support for CatWeasel MK3
#endif

#include <linux/version.h>

#if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,0)
#error Linux Version >= 2.6.0 needed for this driver
#endif

#include <linux/module.h>

#include <linux/init.h>

#include "cwsid.h"

enum {
  JoyDat,
  PaddleSelect,
  JoyButton,
  JoyButtondir,
  KeyDat,
  KeyStatus,
  SidDat,
  SidCommand,
  CatMem,
  CatAbort,
  CatControl,
  CatOption,
  CatStartA,
  CatStartB,
  CatIRQ,
  RegisterNum
};

extern int cw_num;
extern int cw_register[CWSID_MAX_NUM][RegisterNum];

int  cwsid_init(void);
void cwsid_exit(void);
unsigned char sid_read(unsigned char addr, int sid);

int  cwjoy_init(void);
void cwjoy_exit(void);

int  amikbd_init(void);
void amikbd_exit(void);
void amikbd_poll(void);

#endif
