/*
  sid (c) 1999-2004 by Dirk Jagdmann <doj@cubic.org>

  This file is part of sid.

  sid is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 2 of the License, or (at your
  option) any later version.

  sid is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
  License for more details.

  You should have received a copy of the GNU General Public License
  along with sid; if not, write to the Free Software Foundation, Inc.,
  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
  
  $Header: /code/cw/sid/trackinfo.hpp,v 1.6 2004/05/14 14:51:04 doj Exp $
*/

#ifndef TRACKINFO__HPP
#define TRACKINFO__HPP

class C64;

/**
   print tracks. trackinfo_init() must be called prior to this function.
   @return 0 on success, -1 on error
*/
int trackinfo_print(C64 *c64);

/**

   initialize curses window for tracks. curses must be initialized
   prior to calling this function. xoffset and yoffset must hold the
   top left position of the track window. the function then fills the
   entire screen height with the tracks. xoffset and yoffset will
   contain the lower right corner upon return.

   @param xoffset top left position of window. upon return is incresed by window width
   @param yoffset top left position of window. will not be altered.
   @param c64 C64 object, which must have all SIDs enabled that will be shown in the track window

   @return 0 on success, -1 on error
*/
int trackinfo_init(int& xoffset, int& yoffset, C64 *c64);

/**
   change scrollspeed of track window. The track window is updated
   every s frames.
*/
void trackinfo_scrollspeed(int s);

#endif
